Suboptimal structures within an energy band arround the MFE
RNA Secondary Structure Prediction » Enumerating Suboptimal Structures
Collaboration diagram for Suboptimal structures within an energy band arround the MFE:

## Functions

vrna_subopt_solution_t * | vrna_subopt (vrna_fold_compound_t *vc, int delta, int sorted, FILE *fp)
| Returns list of subopt structures or writes to fp. More...
SOLUTION * | subopt (char *seq, char *structure, int delta, FILE *fp)
| Returns list of subopt structures or writes to fp. More...
SOLUTION * | subopt_par (char *seq, char *structure, vrna_param_t *parameters, int delta, int is_constrained, int is_circular, FILE *fp)
| Returns list of subopt structures or writes to fp.
SOLUTION * | subopt_circ (char *seq, char *sequence, int delta, FILE *fp)
| Returns list of circular subopt structures or writes to fp. More...

## Variables

double | print_energy
| printing threshold for use with logML
int | subopt_sorted
| Sort output by energy.

## Detailed Description

## Function Documentation

vrna_subopt_solution_t* vrna_subopt | ( | vrna_fold_compound_t * | vc,
|  | int | delta,
|  | int | sorted,
|  | FILE * | fp
| ) |  |

`#include <ViennaRNA/subopt.h>`

Returns list of subopt structures or writes to fp.

This function produces all suboptimal secondary structures within 'delta' * 0.01 kcal/mol of the optimum, see [17]. The results are either directly written to a 'fp' (if 'fp' is not NULL), or (fp==NULL) returned in a #vrna_subopt_solution_t * list terminated by an entry were the 'structure' member is NULL.

See also
  vrna_subopt_zuker()

Parameters

  vc |
  delta |
  sorted | Sort results by energy in ascending order
  fp |

Returns

SOLUTION* subopt | ( | char * | seq,
|  | char * | structure,
|  | int | delta,
|  | FILE * | fp
| ) |  |

`#include <ViennaRNA/subopt.h>`

Returns list of subopt structures or writes to fp.

This function produces all suboptimal secondary structures within 'delta' * 0.01 kcal/mol of the optimum. The results are either directly written to a 'fp' (if 'fp' is not NULL), or (fp==NULL) returned in a #SOLUTION * list terminated by an entry were the 'structure' pointer is NULL.

Parameters

  seq |
  structure |
  delta |
  fp |

Returns

SOLUTION* subopt_circ | ( | char * | seq,
|  | char * | sequence,
|  | int | delta,
|  | FILE * | fp
| ) |  |

`#include <ViennaRNA/subopt.h>`

Returns list of circular subopt structures or writes to fp.

This function is similar to subopt() but calculates secondary structures assuming the RNA sequence to be circular instead of linear

Parameters

  seq |
  sequence |
  delta |
  fp |

Returns